/*
	Bill Rouady
	Netscape Communications, Inc.
	July, 1996
 */
import l3d.*;
import java.awt.*;
import java.applet.Applet;
import netscape.javascript.JSObject;

/**
 */
public class exampleObject extends Applet implements Runnable {

	L3DScene l3d;
	L3DObject cubeObject;

	Thread objectThread;

    public void init() {

		setLayout(new GridLayout(1,4));

		add(new Button("Left"));
		add(new Button("Hide"));
		add(new Button("Show"));
		add(new Button("Right"));

        l3d = (L3DScene)getDocument().getMember("l3d");
        while(cubeObject == null) {
        	cubeObject = l3d.getObject("testcube");
		}

    }

    public void start() {

		if(objectThread == null) {
	    	objectThread = new Thread(this);
	    	objectThread.start();
		}

    }

	public void run() {

		while(objectThread != null) {

		}
	}

	public void stop() {

		objectThread.stop();
		objectThread = null;

	}

	public void destroy() {

	}

    public boolean action(Event evt, Object arg) {

        if(evt.target instanceof Button) {

            if((String)arg == "Left") {

				cubeObject.translate(-1.0f, 0.0f, 0.0f, 1, 0);
				return true;
            }

            if((String)arg == "Hide") {

				cubeObject.hide();
				return true;
            }

            if((String)arg == "Show") {

				cubeObject.show();
				return true;
            }

            if((String)arg == "Right") {

				cubeObject.translate(1.0f, 0.0f, 0.0f, 1, 0);
				return true;
            }

			return false;
		}

		return false;
	}


	public JSObject getDocument() {
		return (JSObject)JSObject.getWindow(this).getMember("document");
	}

}
    

